Subject: bug#59468: 29.0.50; c-ts-mode cannot fontify after macros are encountered

From: Po Lu <[email-masked]>
Date: Thu, 24 Nov 2022 18:36:06 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Thu, 24 Nov 2022 08:36:13 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> >> #ifdef FRAME_DEBUG
>> >>   uint_fast64_t last_frame_ms = output->last_frame_time / 1000;
>> >>   fprintf (stderr,
>> >> 	   "Drawing the last frame took: %"PRIuFAST64" ms (%"PRIuFAST64")\n",
>> >> 	   last_frame_ms, time);
>> >> #endif
>> >>
>> >> "PRIuFAST64" is fontified in the error face.
>> 
>> > Is this valid C? If it it, we should report to tree-sitter-c. If not, we
>> > can add a heuristic.
>> 
>> This is valid C.  PRIuFAST64 is a standard macro containing the format
>> specifier for a uint_fast64_t.
>> 
>> > It fontifies fine here. I guess it’s fixes by some changes I made,
>> > although I don’t recall making changes related to if statements.
>> 
>> Maybe you scrolled up the file instead of down?  That sometimes matters.
>
> I don't see an error, either.  I did scroll from above.

Try going to the end and scrolling up using M-v.  That makes the
error(s) show up for me.